Bug 1889972 (CVE-2020-25658) - CVE-2020-25658 python-rsa: bleichenbacher timing oracle attack against RSA decryption
Summary: CVE-2020-25658 python-rsa: bleichenbacher timing oracle attack against RSA de...
Keywords:
Status: NEW
Alias: CVE-2020-25658
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1895779 1895780 1897967 1897968 1898967 1899504
Blocks: 1889973
TreeView+ depends on / blocked
 
Reported: 2020-10-21 06:44 UTC by Huzaifa S. Sidhpurwala
Modified: 2020-11-23 14:55 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that python-rsa is vulnerable to Bleichenbacher timing attacks. An attacker can use this flaw via the RSA decryption API to decrypt parts of the cipher text encrypted with RSA.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github sybrenstuvel python-rsa issues 165 None closed CVE-2020-25658 - Bleichenbacher-style timing oracle in PKCS#1 v1.5 decryption code 2020-11-23 06:37:46 UTC

Description Huzaifa S. Sidhpurwala 2020-10-21 06:44:47 UTC
Python-rsa is vulnerable to Bleichenbacher timing attacks in the RSA decryption API, via timed processing of valid PKCS#1 v1.5 ciphertext.

Comment 4 Huzaifa S. Sidhpurwala 2020-11-09 04:13:08 UTC
External References:

https://github.com/sybrenstuvel/python-rsa/issues/165

Comment 5 Huzaifa S. Sidhpurwala 2020-11-09 04:13:56 UTC
Created python-rsa tracking bugs for this issue:

Affects: epel-all [bug 1895780]
Affects: fedora-all [bug 1895779]

Comment 7 Hubert Kario 2020-11-09 14:57:59 UTC
Fix doc text: the vulnerability *is* present, it is *not* fixed—there are no patches proposed to fix it.

I haven't looked at the old code, but I don't expect any old versions to be secure, the issue at least partially stems from the fact that the API raises an exception in case of malformed plaintext, so all versions that can raise an exception in decryption API are vulnerable.

Comment 10 Hubert Kario 2020-11-10 11:23:17 UTC
It looks like all versions since 2.1 (inclusive) are vulnerable, versions before 2.1 don't provide RSA decryption API: https://github.com/sybrenstuvel/python-rsa/commit/714324a9a34f0958704e5064251a1f00ed37a372

Comment 11 Huzaifa S. Sidhpurwala 2020-11-11 06:14:39 UTC
Acknowledgments:

Name: Hubert Kario

Comment 13 Jason Shepherd 2020-11-18 01:21:55 UTC
.


Note You need to log in before you can comment on or make changes to this bug.